Attribute VB_Name = "mdlInformation"
Option Explicit
Dim N As Long, L As Long
Dim N1 As Long, N2 As Long
Dim i As Long

Public Function GetHost(fullhost As String) As String

fullhost = Trim(fullhost)
L = Len(fullhost)

N = InStr(fullhost, "@")

If N > 0 Then
    GetHost = Trim(Right(fullhost, L - N))
Else
    GetHost = ""
End If

End Function

Public Function GetIdent(fullhost As String) As String

fullhost = Trim(fullhost)

N1 = InStr(fullhost, "!")
If N1 > 0 Then
    N2 = InStr(fullhost, "@")
    If N2 > 0 Then
        GetIdent = Trim(Mid$(fullhost, N1 + 1, N2 - N1 - 1))
    End If
Else
    GetIdent = ""
End If
End Function

Public Function GetMask(unick As String) As String
GetMask = ""

If Nmsnk > 0 Then
    For i = 1 To Nmsnk
        If msnk(i).nick = unick Then
            GetMask = msnk(i).mask
            Exit Function
        End If
    Next
End If
End Function

Public Function GetXMask(unick As String) As String
GetXMask = ""

If Nmsnk > 0 Then
    For i = 1 To Nmsnk
        If msnk(i).nick = unick Then
            GetXMask = unick & "!" & msnk(i).ident & "@" & msnk(i).mask
            Exit Function
        End If
    Next
End If
End Function

Public Function GetNick(fullhost As String) As String

fullhost = Trim(fullhost)
N = InStr(fullhost, "!")

If N > 0 Then
    GetNick = Trim(Mid$(fullhost, 2, N - 2))
Else
    GetNick = ""
End If

End Function

Public Function GetChSt(ulogin As String, uchan As String) As Long
GetChSt = 0
    If Nstat > 0 Then
        For i = 1 To Nstat
            If stat(i).login = ulogin Then
                If LCase(stat(i).channel) = LCase(uchan) Then
                    GetChSt = stat(i).level
                    Exit Function
                End If
            End If
        Next
    End If
End Function

Public Function GetGSt(ulogin As String) As Long
    If Nuser > 0 Then
        For i = 1 To Nuser
            If user(i).login = ulogin Then
                GetGSt = user(i).globalstat
                Exit Function
            End If
        Next
    End If
End Function

Public Function CheckChSt(uchan As String, ulogin As String) As Long
CheckChSt = 0
    If Nchan > 0 Then
        For i = 1 To Nstat
            If stat(i).login = ulogin And stat(i).channel = uchan Then
                CheckChSt = i
                Exit Function
            End If
        Next
    End If
End Function
